[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2010-2546

Date: (C)2010-08-05   (M)2015-12-16
 
CVSS Score: 9.3Access Vector: NETWORK
Exploitability Subscore: 8.6Access Complexity: MEDIUM
Impact Subscore: 10.0Authentication: NONE
 Confidentiality: COMPLETE
 Integrity: COMPLETE
 Availability: COMPLETE











Multiple heap-based buffer overflows in loaders/load_it.c in libmikmod, possibly 3.1.12, might allow remote attackers to execute arbitrary code via (1) crafted samples or (2) crafted instrument definitions in an Impulse Tracker file, related to panpts, pitpts, and IT_ProcessEnvelope. NOTE: some of these details are obtained from third party information. NOTE: this vulnerability exists because of an incomplete fix for CVE-2009-3995.

Reference:
SECUNIA-40799
BID-41917
ADV-2010-1957
DSA-2081
MDVSA-2010:151
http://sourceforge.net/tracker/?func=detail&aid=3033086&group_id=40531&atid=428227
https://bugzilla.redhat.com/show_bug.cgi?id=614643

CPE    1
cpe:/a:raphael_assenat:libmikmod:3.1.12
CWE    1
CWE-119
OVAL    3
oval:org.secpod.oval:def:301188
oval:org.secpod.oval:def:600077
oval:org.secpod.oval:def:700145

© 2013 SecPod Technologies